## org.apache.commons.math.complex
Class ComplexField

    java.lang.Object
      org.apache.commons.math.complex.ComplexField

All Implemented Interfaces:
  java.io.Serializable, Field<Complex>

    public class ComplexField

extends java.lang.Object
implements Field<Complex>, java.io.Serializable

Representation of the complex numbers field.

This class is a singleton.

Since:
  2.0
Version:
  $Revision: 811827 $ $Date: 2009-09-06 11:32:50 -0400 (Sun, 06 Sep 2009) $
See Also:
  `Complex`, Serialized Form

Nested Class Summary
`private static class` `ComplexField.LazyHolder` Holder for the instance.

Field Summary
`private static long` `serialVersionUID` Serializable version identifier.

Constructor Summary
`private` `ComplexField()` Private constructor for the singleton.

Method Summary
`static ComplexField` `getInstance()` Get the unique instance.
`Complex` `getOne()` Get the multiplicative identity of the field.
`Complex` `getZero()` Get the additive identity of the field.
`private java.lang.Object` `readResolve()` Handle deserialization of the singleton.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier.

  See Also:
    Constant Field Values

Constructor Detail

### ComplexField

    private ComplexField()

  Private constructor for the singleton.

Method Detail

### getInstance

    public static ComplexField getInstance()

  Get the unique instance.

  Returns:
    the unique instance

### getOne

    public Complex getOne()

  Get the multiplicative identity of the field.

  The multiplicative identity is the element e1 of the field such that for all elements a of the field, the equalities a × e1 = e1 × a = a hold.

  Specified by:
    `getOne` in interface `Field<Complex>`
  Returns:
    multiplicative identity of the field

### getZero

    public Complex getZero()

  Get the additive identity of the field.

  The additive identity is the element e0 of the field such that for all elements a of the field, the equalities a + e0 = e0 + a = a hold.

  Specified by:
    `getZero` in interface `Field<Complex>`
  Returns:
    additive identity of the field

### readResolve

    private java.lang.Object readResolve()

  Handle deserialization of the singleton.

  Returns:
    the singleton instance

Copyright (c) 2003-2011 Apache Software Foundation